commit:     9495e0d02bb06635fdff3fdc4aa92cd2bbca77ba
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sun Sep 20 00:42:17 2020 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sun Sep 20 00:42:17 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9495e0d0

sci-libs/pybids: version bump 0.11.1

Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-libs/pybids/pybids-0.11.1.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild 
b/sci-libs/pybids/pybids-0.11.1.ebuild
new file mode 100644
index 000000000..8b30eeb0d
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids";
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND=""
+RDEPEND="
+       dev-python/num2words[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pandas[${PYTHON_USEDEP}]
+       dev-python/patsy[${PYTHON_USEDEP}]
+       dev-python/sqlalchemy[${PYTHON_USEDEP}]
+       sci-libs/bids-validator[${PYTHON_USEDEP}]
+       sci-libs/nibabel[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+       "
+
+#RESTRICT="test"
+# Fails because fixtures are called directly
+# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
+
+python_test() {
+       #rm bids/tests/test_config.py || die
+       distutils_install_for_testing
+       pytest -vv || die
+}

Reply via email to